summaryrefslogtreecommitdiff
path: root/dev-python/nuitka
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/nuitka
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/nuitka')
-rw-r--r--dev-python/nuitka/Manifest3
-rw-r--r--dev-python/nuitka/metadata.xml23
-rw-r--r--dev-python/nuitka/nuitka-4.1.1.ebuild54
-rw-r--r--dev-python/nuitka/nuitka-4.1.2.ebuild54
-rw-r--r--dev-python/nuitka/nuitka-4.1.ebuild54
5 files changed, 188 insertions, 0 deletions
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
new file mode 100644
index 000000000000..5c76bf4b391c
--- /dev/null
+++ b/dev-python/nuitka/Manifest
@@ -0,0 +1,3 @@
+DIST nuitka-4.1.1.tar.gz 4558061 BLAKE2B b4432b4e21773bc02a811e3641ea96ddb3b1cb7fd65bf6d80a86474b90f2cc8d3464319ba790ed6829479e5189cc23a8c3094e25f6426b828fa1dc6cab2cee53 SHA512 56d2ff052510f1f4bb0ef6d383eddc075f38afd7b3a51b615f259cc6089c55787ef73bc389fb26dea403b1ee594becd439c01861fd9e5b04dcb695d8e77127a6
+DIST nuitka-4.1.2.tar.gz 4561050 BLAKE2B ff9687a28f51746cab2f1483440c5a4078baa9b8f21268d9cbed35f0e5bda0f7c1d7f23a4fad09e46870514162c8ec28767610b33c3548a40d5ee08cc7f06249 SHA512 0e6d2db12fa44819c319f99cfc074591ff5863eb4a3f40155c362beebea3243f7e3d69d33b39c9168379c1e9e8cd3cae945b1b2dbfbe85e337357fed0092cd53
+DIST nuitka-4.1.tar.gz 4543258 BLAKE2B 37bb8d5b5a8cb89cf3f8deadb3f995995c2dfe5cac928a14fca857e61aa4e6aa0c3a842c2453346032965cbf2d600a20f1d245f256d41ee55a4abe94d3f7d898 SHA512 d5b5b56214e5ceeffe0fd0b0456e197f094ebec22573c53b998021538362ac6bceaeb8ef25a2e15c8362825b2ad8e3ba2ed6080199e09703ef5e29f53796411d
diff --git a/dev-python/nuitka/metadata.xml b/dev-python/nuitka/metadata.xml
new file mode 100644
index 000000000000..911e69860fc8
--- /dev/null
+++ b/dev-python/nuitka/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <name>Oz Tiram</name>
+ <email>oz.tiram@gmail.com</email>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ Python compiler with full language support and CPython compatibility
+ This Python compiler achieves full language compatibility and compiles Python
+ code into compiled objects that are not second class at all. Instead they can
+ be used in the same way as pure Python objects.
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/nuitka/nuitka-4.1.1.ebuild b/dev-python/nuitka/nuitka-4.1.1.ebuild
new file mode 100644
index 000000000000..541234567ed4
--- /dev/null
+++ b/dev-python/nuitka/nuitka-4.1.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-build/scons[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.15[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" dev-util/patchelf
+}
diff --git a/dev-python/nuitka/nuitka-4.1.2.ebuild b/dev-python/nuitka/nuitka-4.1.2.ebuild
new file mode 100644
index 000000000000..541234567ed4
--- /dev/null
+++ b/dev-python/nuitka/nuitka-4.1.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-build/scons[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.15[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" dev-util/patchelf
+}
diff --git a/dev-python/nuitka/nuitka-4.1.ebuild b/dev-python/nuitka/nuitka-4.1.ebuild
new file mode 100644
index 000000000000..541234567ed4
--- /dev/null
+++ b/dev-python/nuitka/nuitka-4.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-build/scons[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.15[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" dev-util/patchelf
+}